#!/usr/bin/perl

use strict;
use warnings;

use XML::Parser;
use DBI;
use Encode;

my $local_name="localhost";
my $local_port= 5432;
my $local_dbname='ubuk';
my $local_user='db_report';
my $local_pass='db_report';

my $file = $ARGV[0];
my $tmpfile = "/tmp/store.txt";

my $dbh=undef;
my $sth = undef;

my $inpay = 0;

&main();

sub main {
  return 0 if (!(-f $file));

  $dbh = DBI->connect("dbi:Pg:dbname=$local_dbname;host=$local_name;port=$local_port",$local_user,$local_pass, { AutoCommit=>0}) or return undef;

  `iconv -f windows-1251 -t utf-8 $file > $tmpfile`;
  
  open FILE, $tmpfile or return 0;
  while (my $line = <FILE>) {
    my $id=trim(substr(trim($line),0,index(trim($line),' ')));
    my $title=trim(substr(trim($line),index(trim($line),' ')));
  
    next if (length($title)==0);
    
    my $sqlm = "select gf_do_str_add('$id','$title','','','','true','true');";
    print "$sqlm\n";
    $dbh->do($sqlm) or return 0;
  }
  close FILE;      
  $dbh->commit();
  `rm $tmpfile`;

}

sub trim {
  my($string)=@_;
  return '' if (!defined $string);
  for ($string) {
    s/^\s+//;
    s/\s+$//;
  }
  return $string;
}

__END__
